import { createSSRApp } from "vue";
import App from "./App.vue";
import store from "./store";
import router from "./router";
import Vconsole from "vconsole";
import 'vant/es/toast/style'
import 'vant/es/dialog/style'
import 'vant/es/notify/style'
import 'vant/es/image-preview/style'
// import '@/utils/interceptor.js'

export function createApp() {
  const app = createSSRApp(App);
  app.use(store);
  app.use(router);
  let vConsole = new Vconsole();
  app.use(vConsole);
  return {
    app,
  };
}
